[Mailman-Users] us-ascii problem with new install inUbuntu(SOLVED)

Mark Sapiro msapiro at value.net
Mon Jan 15 19:11:35 CET 2007

Barry Finkel wrote:
>The original Debian bug report had
>     The short summary for the bug is "bad installation when
>     /var/lib/mailman/pythonlib is a symlink."
>so, it appears to me that the U/D fix should have been to check for a
>symlink and not remove pythonlib entirely.

Actually, that summary is misleading. The problem was not just that
/var/lib/mailman/pythonlib was a symlink, but that it was a symlink to
the library of an old (out dated) Python installation.

The U/D response to this (completely removing pythonlib from the
Mailman installation) was a total overreaction and is wrong and leads
to the more recent issue that Kyle and others experienced. Namely, in
mailman 2.1.8-2ubuntu2 there is no pythonlib so the email package used
is the one from the underlying Python library, and now because of
either the Python version or Ubuntu (or Debian) mods, this email
package is incompatible with Mailman 2.1.8.

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list